#1713 closed defect (wontfix)

networking stack is not 64-bit clean

Reported by: Gedare Bloom Owned by: Eric Norum
Priority: normal Milestone: 4.11
Component: network/legacy Version: 4.11
Severity: normal Keywords:
Cc: joel.sherrill@… Blocked By:
Blocking:

Description

The networking code has alignment problems on 64-bit architectures (the sparc64 at any rate). These problems manifest as memory alignment traps. The loopback sample application is my current test code.

I'm probably the only user affected at this time, but I thought I would bring the topic up. I haven't figured out if I can/will take time to address the problem myself. The 'best' solution that I can think of is to update the BSD stack, as newer versions will have solved the 64-bit alignment problems.

Change History (3)

comment:1 Changed on Oct 31, 2010 at 3:11:34 PM by Gedare Bloom

Cc: Joel Sherrill added

comment:2 Changed on Mar 27, 2014 at 11:57:54 PM by Gedare Bloom

Resolution: wontfix
Status: newclosed

Going to wait on the new stack and just consider the old stack is broken on the sparc64.

comment:3 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

Note: See TracTickets for help on using tickets.